# Generated by Django 2.2.7 on 2019-11-05 20:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('xdwc', '0015_tournament_is_default'),
    ]

    operations = [
        migrations.AddField(
            model_name='tournament',
            name='standings_last_updated_at',
            field=models.DateTimeField(null=True),
        ),
        migrations.AlterField(
            model_name='playerkey',
            name='crypto_idfp',
            field=models.CharField(max_length=128, unique=True),
        ),
        migrations.CreateModel(
            name='TotalStandings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField()),
                ('score', models.DecimalField(decimal_places=10, max_digits=40)),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xdwc.Player')),
            ],
        ),
    ]
